////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////
// NEW DATA CLEANING - dataset not used previously
////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////

// Load the dataset 
use "${EBdir}\ZA4530_v2-1-0", replace
numlabel _all, add mask(#_)

// Benefit beliefs vars
unab econvars: v426-v444 
foreach var in `econvars' {
	tab1 `var'
/**/ }
rename v437	unemprate2
rename v439	unemprate2T
rename v441	unemprising

// Renaming the relevant variables
ren v672	_uniqueid
ren v6		_nation		// GB & NI are separate (and weighted separately)
ren v8		_weight		// Unclear which weight to use - v8 is the post-stratification weight
	replace _weight = v10 if _nation==9 | _nation==10		// For merging UK & NI
	replace _weight = v12 if _nation==4 | _nation==14		// For merging East and West Germany
	replace _nation = 4 if _nation==14
	replace _nation = 9 if _nation==10
	label define V6 4 "4_Germany (combined)" 9 "9_UK (combined)", modify
ren v549	_age
recode v548 (1=1)(2=0), gen(_male)
	
// Ending
keep unemp* _*
compress
aorder
save "${workingdir}\\${filename}_EB2007", replace
/*
use "${workingdir}\\${filename}_EB2007", replace
*/
