////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////
// NEW DATA CLEANING - dataset not used previously
////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////

// Load the dataset 
use "${EBdir}\ZA4975_v3-0-0", replace
numlabel _all, add mask(#_)

// Benefit beliefs vars
unab econvars: v417-v436 
foreach var in `econvars' {
	tab1 `var'
/**/ }
mvdecode v417-v434, mv(99=.d)
rename v428	unemprate2
rename v430	unemprate2T
recode v435 (1 2=1 "1_Better")(3 4=0 "0_Less good"), gen(unempbetter)
	label var unempbetter "Employment situation in own country compared to EU average"

// Renaming the relevant variables
ren v5		_uniqueid
ren v6		_nation		// GB & NI are separate (and weighted separately)
ren v8		_weight		// Unclear which weight to use - v8 is the post-stratification weight
	replace _weight = v10 if _nation==9 | _nation==10		// For merging UK & NI
	replace _weight = v12 if _nation==4 | _nation==14		// For merging East and West Germany
	replace _nation = 4 if _nation==14
	replace _nation = 9 if _nation==10
	label define V6 4 "4_Germany (combined)" 9 "9_UK (combined)", modify
ren v442	_age
recode v441 (1=1)(2=0), gen(_male)


// Ending
keep unemp* _*
compress
aorder
save "${workingdir}\\${filename}_EB2009", replace
/*
use "${workingdir}\\${filename}_EB2009", replace
*/
